<?xml version="1.0" encoding="UTF-8"?>
<web-app id="servlet-3_0" version="3.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns="http://java.sun.com/xml/ns/javaee"
	xmlns:web="http://java.sun.com/xml/ns/javaee/web-app_3_0.xsd"
	xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_3_0.xsd">
	<display-name>monitoring</display-name>
	<context-param>
		<param-name>contextConfigLocation</param-name>
		<param-value>/WEB-INF/applicationContext.xml</param-value>
	</context-param>
	<!-- XSS Filter -->	
	<filter>
		<filter-name>CrossScriptingFilter</filter-name>
		<filter-class>com.eactive.eai.rms.common.filter.CrossScriptingFilter</filter-class>
	</filter>
	<filter-mapping>
		<filter-name>CrossScriptingFilter</filter-name>
		<url-pattern>/*</url-pattern>
	</filter-mapping>
  	
	<filter>
	    <filter-name>encodingFilter</filter-name>
	    <filter-class>org.springframework.web.filter.CharacterEncodingFilter</filter-class>
	     <init-param>
	       <param-name>encoding</param-name>
	       <param-value>UTF-8</param-value>
	   </init-param>
	   <init-param>
	       <param-name>forceEncoding</param-name>
	    <param-value>true</param-value>
	   </init-param>
	</filter>
	<filter>
	    <filter-name>encodingFilterEUCKR</filter-name>
	    <filter-class>org.springframework.web.filter.CharacterEncodingFilter</filter-class>
	     <init-param>
	       <param-name>encoding</param-name>
	       <param-value>utf-8</param-value>
	   </init-param>
	   <init-param>
	       <param-name>forceEncoding</param-name>
	    <param-value>true</param-value>
	   </init-param>
	</filter>
	<filter-mapping>
	  <filter-name>encodingFilterEUCKR</filter-name>
	  <url-pattern>*.excel</url-pattern>
	</filter-mapping>
	<filter-mapping>
	  <filter-name>encodingFilter</filter-name>
	  <url-pattern>*.file</url-pattern>
	</filter-mapping>

<!-- 
	<filter>
		<filter-name>MonitoringFrontFilter</filter-name>
		<filter-class>com.eactive.eai.rms.common.filter.MonitoringFrontFilter</filter-class>
	</filter>
	<filter-mapping>
		<filter-name>MonitoringFrontFilter</filter-name>
		<url-pattern>/*</url-pattern>
	</filter-mapping>
 -->
 
 	<servlet>
		<servlet-name>default</servlet-name>
		<servlet-class>weblogic.servlet.FileServlet</servlet-class>
	</servlet>
	<servlet-mapping>
		<servlet-name>default</servlet-name>
		<url-pattern>/static/*</url-pattern>
	</servlet-mapping>
 
	<listener>
		<listener-class>
			org.springframework.web.context.ContextLoaderListener
		</listener-class>
	</listener>

	<servlet>
		<servlet-name>springapp</servlet-name>
		<servlet-class>
			org.springframework.web.servlet.DispatcherServlet
		</servlet-class>
		<load-on-startup>1</load-on-startup>
		<multipart-config>
			<max-file-size>10485760</max-file-size>
			<max-request-size>15728640</max-request-size>
			<file-size-threshold>1048576</file-size-threshold>
		</multipart-config>
	</servlet>

	<servlet-mapping>
		<servlet-name>springapp</servlet-name>
		<url-pattern>*.do</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>springapp</servlet-name>
		<url-pattern>*.json</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>springapp</servlet-name>
		<url-pattern>*.view</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>springapp</servlet-name>
		<url-pattern>*.excel</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>springapp</servlet-name>
		<url-pattern>*.file</url-pattern>
	</servlet-mapping>

	<welcome-file-list>
		<welcome-file>/emergency.jsp</welcome-file>
		<!-- <welcome-file>/multiLogin.jsp</welcome-file> -->
		<!-- <welcome-file>/login.jsp</welcome-file> -->
		<!--welcome-file>/initech/login_exec.jsp</welcome-file -->
	</welcome-file-list>

	<error-page>
		<error-code>404</error-code>
		<location>/common/errors/error404.jsp</location>
	</error-page>

	<error-page>
		<error-code>500</error-code>
		<location>/common/errors/error500.jsp</location>
	</error-page>

	<jsp-config>
		<taglib>
			<taglib-uri>http://java.sun.com/jsp/jstl/core</taglib-uri>
			<taglib-location>/WEB-INF/tld/c.tld</taglib-location>
		</taglib>
		<taglib>
			<taglib-uri>http://java.sun.com/jsp/jstl/functions</taglib-uri>
			<taglib-location>/WEB-INF/tld/fn.tld</taglib-location>
		</taglib>
	</jsp-config>
	
	<session-config>
    	    <session-timeout>30</session-timeout>	</session-config>
</web-app>